summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorCarl Worth <cworth@cworth.org>2010-05-25 13:09:03 -0700
committerCarl Worth <cworth@cworth.org>2010-05-25 14:38:15 -0700
commit3ff81670848abb29b92e78f45080ad36cc85001c (patch)
tree199c9ebeaf91d3275bc09a5bce272e2ac4b1ab23 /tests
parent00f1ec421edf73516fdcfbbdb651f13eeefe8f08 (diff)
Starting over with the C99 grammar for the preprocessor.
This is a fresh start with a much simpler approach for the flex/bison portions of the preprocessor. This isn't functional yet, (produces no output), but can at least read all of our test cases without any parse errors. The grammar here is based on the grammar provided for the preprocessor in the C99 specification.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/glcpp-test5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/glcpp-test b/tests/glcpp-test
index 022a236712..868b03cce8 100755
--- a/tests/glcpp-test
+++ b/tests/glcpp-test
@@ -1,9 +1,12 @@
#!/bin/sh
+set -e
+
+echo "Caution: These results are just verifying parse-ability, not correctness!"
for test in *.c; do
echo "Testing $test"
../glcpp < $test > $test.out
gcc -E $test -o $test.gcc
grep -v '^#' < $test.gcc > $test.expected
- diff -B -u $test.expected $test.out
+# diff -B -u $test.expected $test.out
done